Debian Bug report logs - #592549
gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor

version graph

Package: gdm3; Maintainer for gdm3 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gdm3 is src:gdm3.

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Tue, 10 Aug 2010 20:45:01 UTC

Severity: important

Found in version gdm3/2.30.2-4

Fixed in version gdm3/2.30.5-4

Done: Michael Dorrington <michael.dorrington@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#592549; Package gdm3. (Tue, 10 Aug 2010 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 10 Aug 2010 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor
Date: Tue, 10 Aug 2010 21:43:43 +0100
[Message part 1 (text/plain, inline)]
Package: gdm3
Version: 2.30.2-4
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

On gdm3 start, or restart, only a black screen is displayed with an X
shaped X cursor with the cursor moveable. If I try to change to a
console VT then this appears to trigger a new X session to start and
this is displayed rather than the console VT. This new X session is also
black with an X shaped X cursor with the cursor moveable. This keeps
happening until eventually I can switch to a console VT.

* gdm3 on i386[1] does not have this issue.
* xdm on kfreebsd-i386[1] and i386[1] does not have this issue.

ps:
root       855  0.0  0.6  11668  4960 ?        S    21:27   0:00
/usr/lib/gdm3/gdm-simple-slave --display-id
/org/gnome/DisplayManager/Display6
root       854  0.0  0.6  11668  4960 ?        S    21:27   0:00
/usr/lib/gdm3/gdm-simple-slave --display-id
/org/gnome/DisplayManager/Display6
root       853  0.0  0.6   5880  4664 ?        S    21:27   0:00
/usr/bin/Xorg :5 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-CjIcK7/database -nolisten tcp vt10
root       852  0.0  0.6  11668  4960 ?        S    21:27   0:00
/usr/lib/gdm3/gdm-simple-slave --display-id
/org/gnome/DisplayManager/Display6
root       840  8.6  1.6  16412 13044 ?        S    21:27   0:05
/usr/bin/Xorg :4 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-6sWZQa/database -nolisten tcp vt11
root       806  5.3  1.6  16412 13044 ?        S    21:26   0:05
/usr/bin/Xorg :2 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-CDe36q/database -nolisten tcp vt9
root       714  4.2  1.6  16412 13040 ?        S    21:26   0:05
/usr/bin/Xorg :1 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-sup7XH/database -nolisten tcp vt8
root       403  4.0  1.5  16412 12340 ?        S    21:25   0:05
/usr/bin/Xorg :0 -br -verbose -audit 0 -auth
/var/run/gdm3/auth-for-Debian-gdm-m3CoFd/database -nolisten tcp vt7
root       392  0.0  0.5  10012  4168 ?        S    21:25   0:00
/usr/sbin/gdm3
root       391  0.0  0.5  10012  4168 ?        S    21:25   0:00
/usr/sbin/gdm3
root       376  0.0  0.5  10012  4168 ?        S    21:25   0:00
/usr/sbin/gdm3

/var/log/daemon.log:
Aug 10 21:25:55 debian-kfreebsd-i386 gdm3[376]: WARNING: GdmDisplay:
display lasted 0.203436 seconds
Aug 10 21:26:26 debian-kfreebsd-i386 gdm3[376]: WARNING: GdmDisplay:
display lasted 0.204698 seconds
Aug 10 21:26:53 debian-kfreebsd-i386 gdm3[376]: WARNING: GdmDisplay:
display lasted 0.261651 seconds
Aug 10 21:27:06 debian-kfreebsd-i386 gdm3[376]: WARNING: GdmDisplay:
display lasted 0.093850 seconds
Aug 10 21:27:09 debian-kfreebsd-i386 gdm3[376]: WARNING: GdmDisplay:
display lasted 0.100995 seconds

Regards,
Mike.

[1] dpkg --print-architecture

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.0-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdm3 depends on:
ii  adduser                 3.112            add and remove users and groups
ii  debconf [debconf-2.0]   1.5.33           Debian configuration
management sy
ii  gconf2                  2.28.1-3         GNOME configuration
database syste
ii  gnome-session-bin       2.30.2-1         The GNOME Session Manager -
Minima
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D
graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libbonobo2-0            2.24.3-1         Bonobo CORBA interfaces library
ii  libbonoboui2-0          2.24.3-1         The Bonobo UI library
ii  libc0.1                 2.11.2-2         Embedded GNU C Library:
Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector
graphics libra
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing
widget eve
ii  libcanberra0            0.24-1           a simple abstract interface
for pl
ii  libdbus-1-3             1.2.24-3         simple interprocess
messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess
messaging syst
ii  libdevkit-power-gobject 1:0.9.5-1        abstraction for power
management -
ii  libfontconfig1          2.8.0-2.1        generic font configuration
library
ii  libfreetype6            2.4.0-2          FreeType 2 font engine,
shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration
database syste
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome2-0             2.30.0-1         The GNOME library - runtime
files
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented
display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user
interface
ii  liborbit2               1:2.14.18-0.1    libraries for ORBit2 - a
CORBA ORB
ii  libpam-modules          1.1.1-3          Pluggable Authentication
Modules f
ii  libpam-runtime          1.1.1-3          Runtime support for the PAM
librar
ii  libpam0g                1.1.1-3          Pluggable Authentication
Modules l
ii  libpanel-applet2-0      2.30.2-1         library for GNOME Panel applets
ii  libpango1.0-0           1.28.1-1         Layout and rendering of
internatio
ii  libpolkit-gobject-1-0   0.96-2           PolicyKit Authorization API
ii  libpolkit-gtk-1-0       0.96-2           PolicyKit GTK+ API
ii  libpopt0                1.16-1           lib for parsing cmdline
parameters
ii  librsvg2-common         2.26.3-1         SAX-based renderer library
for SVG
ii  libwrap0                7.6.q-19         Wietse Venema's TCP
wrappers libra
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxau6                 1:1.0.6-1        X11 authorisation library
ii  libxdmcp6               1:1.0.3-2        X11 Display Manager Control
Protoc
ii  libxklavier16           5.0-2            X Keyboard Extension
high-level AP
ii  libxml2                 2.7.7.dfsg-4     GNOME XML library
ii  lsb-base                3.2-23.1         Linux Standard Base 3.2
init scrip
ii  policykit-1-gnome       0.96-2           GNOME authentication agent
for Pol
ii  upower                  0.9.5-1          abstraction for power
management
ii  xfce4-session [x-sessio 4.6.2-1          Xfce4 Session Manager
ii  xfce4-terminal [x-termi 0.4.5-1          Xfce terminal emulator
ii  xfwm4 [x-window-manager 4.6.2-1          window manager of the Xfce
project
ii  xterm [x-terminal-emula 261-1            X terminal emulator
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages gdm3 recommends:
ii  at-spi                        1.30.1-2   Assistive Technology
Service Provi
ii  gnome-icon-theme              2.30.3-1   GNOME Desktop icon theme
ii  gnome-power-manager           2.30.1-1   power management tool for
the GNOM
ii  gnome-settings-daemon         2.30.2-1   daemon handling the GNOME
session
ii  xserver-xephyr                2:1.7.7-3  nested X server
ii  xserver-xorg                  1:7.5+6    the X.Org X server
ii  zenity                        2.30.0-1   Display graphical dialog
boxes fro

Versions of packages gdm3 suggests:
pn  gnome-mag                     <none>     (no description available)
pn  gnome-orca                    <none>     (no description available)
pn  gok                           <none>     (no description available)
ii  libpam-gnome-keyring          2.30.3-1   PAM module to unlock the
GNOME key
pn  metacity                      <none>     (no description available)

-- debconf information:
* shared/default-x-display-manager: gdm3
  gdm3/daemon_name: /usr/sbin/gdm3

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#592549; Package gdm3. (Wed, 08 Sep 2010 17:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 08 Sep 2010 17:51:12 GMT) Full text and rfc822 format available.

Message #10 received at 592549@bugs.debian.org (full text, mbox):

From: "Witold Baryluk" <baryluk@smp.if.uj.edu.pl>
To: 592549@bugs.debian.org
Subject: Re: gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor
Date: Wed, 8 Sep 2010 19:38:07 +0200
[Message part 1 (text/plain, inline)]
Hi

I today installed kfreebsd-i386 in qemu, and have exactly
the same problem.

This happend in cirrus,vesa,vga modes.

Mouse is working.

After switching to console i see 4 Xorg processes in `ps aux`

After installing xdm, and changing it to default,
i can use Xorg and loging to GNOME without problem
(both on vesa and cirrus drivers).

It looks that gdm3 performs incorrect detection of Xorg dieing.
Maybe incorrect signal handler or direct usage of /proc interface
which isn't complete in FreeBSD.


Thanks.


-- 
Witold Baryluk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#592549; Package gdm3. (Wed, 08 Sep 2010 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 592549@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 08 Sep 2010 18:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 592549@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Witold Baryluk <baryluk@smp.if.uj.edu.pl>, 592549@bugs.debian.org
Subject: Re: Bug#592549: gdm3 on {re, }start on kfreebsd displays only a black screen with an X cursor
Date: Wed, 08 Sep 2010 20:37:07 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 08 septembre 2010 à 19:38 +0200, Witold Baryluk a écrit : 
> It looks that gdm3 performs incorrect detection of Xorg dieing.
> Maybe incorrect signal handler or direct usage of /proc interface
> which isn't complete in FreeBSD.

If that’s the case, that might be a bug in GLib on kfreebsd, since AFAIK
gdm3 only uses the existing g_spawn functions and the like.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#592549; Package gdm3. (Sun, 19 Sep 2010 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea de Palo <mail.to.depa@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 19 Sep 2010 12:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 592549@bugs.debian.org (full text, mbox):

From: Andrea de Palo <mail.to.depa@gmail.com>
To: 592549@bugs.debian.org
Subject: Re: Bug#592549: gdm3 on {re, }start on kfreebsd displays only a black screen with an X cursor
Date: Sun, 19 Sep 2010 14:19:56 +0200
Confirmed on a fresh install. Replacing gdm3 with gdm resolves the issue
even if,randomly, bug #586539 comes out.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#592549; Package gdm3. (Sat, 16 Oct 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Oct 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 592549@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 592549@bugs.debian.org
Cc: debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#592549: gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor
Date: Sat, 16 Oct 2010 21:30:14 +0100
[Message part 1 (text/plain, inline)]
Michael Dorrington wrote:
> Package: gdm3
> Version: 2.30.2-4

A new version of gdm3 has just reached testing taking gdm3 from version
2.30.2-4 to version 2.30.5-4. Now on kfreebsd (i386 and amd64) gdm3
works and no longer has this bug.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Dorrington <michael.dorrington@gmail.com>:
You have taken responsibility. (Sat, 16 Oct 2010 20:48:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Oct 2010 20:48:05 GMT) Full text and rfc822 format available.

Message #30 received at 592549-done@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 592549-done@bugs.debian.org
Subject: Re: Bug#592549: gdm3 on {re,}start on kfreebsd displays only a black screen with an X cursor
Date: Sat, 16 Oct 2010 21:45:18 +0100
[Message part 1 (text/plain, inline)]
Package: gdm3
Version: 2.30.5-4

I don't know how the bug has been fixed but it is fixed.

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Nov 2010 07:34:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:09:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.